using CompactGuitar.Tuner;

namespace CompactGuitar
{
    public partial class Form1 : Form
    {
        private static readonly Image chordsLogo = Properties.Resources.chords_logo;
        private static readonly Image chordsLogoGreyed = Properties.Resources.chords_logo2;
        private static readonly Image earLogo = Properties.Resources.ear_logo;
        private static readonly Image earLogoGreyed = Properties.Resources.ear_logo2;

        public Form1()
        {
            InitializeComponent();          
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            MainMenu.BringToFront();
            chordTrainPic.MouseEnter += (s, e) => chordTrainPic.Image = chordsLogoGreyed;
            chordTrainPic.MouseLeave += (s, e) => chordTrainPic.Image = chordsLogo;
            earTrainPic.MouseEnter += (s, e) => earTrainPic.Image = earLogoGreyed;
            earTrainPic.MouseLeave += (s, e) => earTrainPic.Image = earLogo;
            EarChord.MouseEnter += (s, e) => EarChord.Image = Properties.Resources.soundButtonBlue_jpg;
            EarChord.MouseLeave += (s, e) => EarChord.Image = Properties.Resources.soundButton_jpg;
        }

        private void back1_Click(object sender, EventArgs e)
        {
            MainMenu.BringToFront();
        }

        private void viewTraining_Click(object sender, EventArgs e)
        {
            ChooseGame.BringToFront();
        }


        private void chordTrainPic_Click(object sender, EventArgs e)
        {
            ChordsMenu.BringToFront();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            ChooseGame.BringToFront();
        }

        private void button32_Click(object sender, EventArgs e)
        {
            ChooseGame.BringToFront();
        }

        private void viewSongs_Click(object sender, EventArgs e)
        {
            SongDbForm sdf = new SongDbForm();
            sdf.Show();
        }

        private void viewTuner_Click(object sender, EventArgs e)
        {
            SoundDetectForm sdf = new SoundDetectForm();
            sdf.Show();
        }

        private void chordStatsButton_Click(object sender, EventArgs e)
        {
            StatsForm sf = new StatsForm(StatsForm.GameType.Chord);
            sf.Show();
        }

        private void earStatsButton_Click(object sender, EventArgs e)
        {
            StatsForm sf = new StatsForm(StatsForm.GameType.Ear);
            sf.Show();
        }
    }
}